For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • GETGet Group by Invite Code
        • POSTSend Message
        • GETGet Group
        • GETGet Group Messages
        • GETGet User Messages
        • GETGet Message
        • POSTChange Status
        • GETGet Messages
Logo
Talk to usGet started
API ReferenceIntegrationsWhatsapp

Get Messages

GET
https://api.trykeet.com/v1/whatsapp/messages
GET
/v1/whatsapp/messages
$curl https://api.trykeet.com/v1/whatsapp/messages \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "messages": [
4 {
5 "type": "text",
6 "content": "content",
7 "timestamp": "timestamp",
8 "senderId": "senderId",
9 "senderName": "senderName",
10 "groupId": "groupId",
11 "fromMe": true
12 },
13 {
14 "type": "text",
15 "content": "content",
16 "timestamp": "timestamp",
17 "senderId": "senderId",
18 "senderName": "senderName",
19 "groupId": "groupId",
20 "fromMe": true
21 }
22 ],
23 "nextOffset": 1
24}
Get your WhatsApp messages. Ordered from newest to oldest.
Was this page helpful?
Previous

Create Session

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Query parameters

limitintegerOptional
Default is 100
offsetintegerOptional
Default is 0
userslist of stringsOptional

List of user ids to filter by. Something like [“13472771442”, “141234567890”]

groupslist of stringsOptional
List of group ids to filter by

Response

This endpoint returns an object.
statusenum
Allowed values:
messageslist of objects
nextOffsetinteger

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error